Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: libpython2.4.so.1.0  (gelezen 1138 keer)

Offline FreakyDude

  • Lid
  • Steunpunt: Nee
libpython2.4.so.1.0
« Gepost op: 2006/09/12, 22:36:05 »
ik probeer de laatst optimised versie van blender te runnen op ubuntu, 2.42a optimised for ubuntu, en dit is de foutmelding die ik blijf krijgen, ik weet dat dit een shared bestand is die met python te maken heeft maar via synaptic en de simpele installeren/verwijderen optie krijg ik python 2.4 niet opnieuw geinstalleerd, tenminste hij zegt dat ik al de meet recente versie heb.
Ook heb ik meet sudo en gksudo geprobeerd om python2.4 opnieuw te installeren maar zonder succes.
Heeft iemand enig idee hoe ik dit probleem zou kunnen verhelpen? ik zou graag met de laatste blender aan de gang gaan.

Offline bartek

  • Lid
    • http://bartek.blogsome.com
  • Steunpunt: Nee
libpython2.4.so.1.0
« Reactie #1 Gepost op: 2006/09/12, 23:18:58 »
Versie 2.41 is niet goed genoeg?
Deze zit gewoon in Synaptic.

Welke foutmelding krijgt ge precies?
| Deliberando saepe perit occasio |

"Car la vie est un bien perdu quand on n'a pas vécu comme on l'aurait voulu"

Offline FreakyDude

  • Lid
  • Steunpunt: Nee
libpython2.4.so.1.0
« Reactie #2 Gepost op: 2006/09/12, 23:35:21 »
Nee versie 2.41 is niet goed genoeg, een aantal van mijn files zijn reeds 2.42 en maken gebruik van een nieuwe modifier. bovendien bestaat er nou eenmaal een geoptimaliseerde versie en die zou ik graag gebruiken.

DIt is de foutmelding die ik krijg:

blender-bin: error while loading shared libraries: libpython2.4.so.1.0: cannot open shared object file: No such file or directory

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
libpython2.4.so.1.0
« Reactie #3 Gepost op: 2006/09/13, 00:54:42 »
Waar download je die geoptimaliseerde build precies en wat voor kernel heb je draaien (32bit, 64bit, ppc...) ?

kernel versie: uname -r
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline FreakyDude

  • Lid
  • Steunpunt: Nee
libpython2.4.so.1.0
« Reactie #4 Gepost op: 2006/09/13, 23:02:47 »
2.6.15-26-amd64-generic
dat is de versie die ik draai, bij het booten heb ik ook de keuze uit 2.6.15.23. Geen idee wat dat inhoud, maar dat was alvast wat ik had.

De geoptimaliseerde versie kan je downloaden van www.graphicall.org

correctie, daar staat de linux versie niet bij, die kun je hier halen: http://ruicampos.com/fl_tmp/debian/ubuntu-dapper/

Op blendernation stond een keer een post over geoptimaliseerde versies voor mac en windows, en omdat linux er niet bij stond heeft die gast dat zelf maar gedaan en alle dependancies erbij gedaan. ffmpeg etc.
Dit is de link naar de post op blendernation:
http://www.blendernation.com/2006/07/26/optimized-blender-242a-for-windows-and-linux/#more-995

Citaat
Since everyone loves optimized builds and taking into account that Ubuntu is the most used distro out there I have built optimized versions of Blender 2.42a. Even more, I have also built the latest ffmpeg and x264 libraries and provide the proper debs for them too.

What this means is that these builds offer full ffmpeg support (xvid, h264, mp3, aac) and come in the following flavours:

    * Generic i586
    * Pentium 4 optimized for SSE2
    * Athlon XP optimized for 3DNow!
    * Centrino optimized for SSE2
    * Athlon64 optimized for SSE2 (32 bit mode)
edit:
om nog even terug te komen op het feit dat 2.41 niet goed genoeg zou zijn, okay het was toen al een vreselijk goed programma, maar er zijn ontzettend veel verbeteringen gedaan in 2.42. waar andere applicaties meteen een versienummer veranderen doen z bij blender gewoon het 2de cijfer achter de komma veranderen, 2.42 zit bomvol met verbeteringen die ze voor hun orange project hebben gebruikt. Dit was het maken van een film: "Elephants dream" Een vage film van circa 12 minuten maar wel erg vermakelijk. Het is de eerste open source film ooit en ook de eerste film die in europa in het HD-DVD formaat is uitgegeven.
tis dus niet zo dat het zomaar een simpele bugix was ofzo, dan zou ik inderdaad de versie uit synaptic gebruiken.

release log:
http://www.blender.org/cms/Blender_2_42.727.0.html

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
libpython2.4.so.1.0
« Reactie #5 Gepost op: 2006/09/14, 00:12:02 »
Yea, ik heb de film al lang op DVD (Elephants Dream) :) al besteld toen het project nog in de kinderschoenen stond als teken van support ;) en heb meegewerkt aan de Nederlandse vertaling.

Ik mag aannemen dat je de juiste build gebruikt? in jouw geval dus athlon64?

maar ik zie daar achterstaan 32bit mode en jij draait de echte 64bit versie van ubuntu (problemen met codecs, wine, closed source software, daar ben je van op de hoogte? anders kan je beter nog de 32bit versie installeren, je zal daarmee veel minder problemen hebben, en een groot snelheidsverschil ga je echt niet merken)

deze amd64 build is in principe gemaakt voor amd64 processors die gewoon de 32bit versie van ubuntu draaien... dat is het probleem dat je hebt...

dus dat wordt denk ik even rondzoeken op google, want ik heb geen enkele ervaring met 64bit systemen, of anders installeer je lekker de 32bit versie van ubuntu (dit werkt gewoon hoor)
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline FreakyDude

  • Lid
  • Steunpunt: Nee
libpython2.4.so.1.0
« Reactie #6 Gepost op: 2006/09/14, 01:34:20 »
Bedankt, ik denk dat ik inderdaad binnenkort als ik linux wat beter onder de knie heb overstap naar 32 bit, als edgy eenmaal uit is denk ik, duurt niet zo heel lang meer. dan zal het meeste wel werken hoop ik.

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
libpython2.4.so.1.0
« Reactie #7 Gepost op: 2006/09/14, 01:36:17 »
daar ben ik van overtuigd :) laat nog zeker wat van je horen he :)
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)